# $Revision: 1.92 $, $Date: 2012/04/17 18:05:35 $
#
# Conditional build:
%bcond_without	x	# without X based interfaces (implies libX11 deps)
%bcond_without	alsa	# without ALSA support
%bcond_with	arts	# enable ARTS support (implies also glib(2) deps)
%bcond_with	esd	# enable ESD support
%bcond_with	jack	# enable JACK support
%bcond_with	nas	# enable NAS support
%bcond_with	vorbis	# enable Ogg Vorbis support
#
Summary:	TiMidity++ - MIDI to WAV converter and player
Summary(pl.UTF-8):	TiMidity++ - konwerter do WAV oraz odtwarzacz plików MIDI
Summary(pt_BR.UTF-8):	Sintetizador MIDI por software
Summary(ru.UTF-8):	Проигрыватель MIDI файлов и конвертор их в WAV формат
Summary(uk.UTF-8):	Програвач MIDI-файлів та конвертор їх в WAV формат
Name:		TiMidity++
Version:	2.13.2
Release:	9
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/timidity/%{name}-%{version}.tar.bz2
# Source0-md5:	a82ceeb2245e22f4de2b41da21eaee32
Source1:	http://archive.cs.umbc.edu/pub/midia/instruments.tar.gz
# Source1-md5:	4959787a78ee39d44a36185bd303cf20
Source2:	britepno.pat.bz2
# Source2-md5:	324e265362f812883024b58cf3470d1a
Source3:	pistol.pat.bz2
# Source3-md5:	f961325db679de6e0ea402ebe6a268f9
Source4:	timidity.cfg
Source5:	timidity.init
Source6:	timidity.sysconfig
Source7:	timidity-modules-load.conf
Source8:	timidity.service
Patch0:		%{name}-detach.patch
Patch1:		%{name}-gcc4.patch
Patch2:		%{name}-configure.patch
Patch3:		%{name}-stop_polling.patch
URL:		http://timidity.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
%{?with_esd:BuildRequires:	esound-devel}
%{?with_x:BuildRequires:	gtk+-devel}
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
%{?with_vorbis:BuildRequires:	libvorbis-devel}
%{?with_x:BuildRequires:	motif-devel}
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.626
BuildRequires:	slang-devel >= 2.0.0
%{?with_x:BuildRequires:	tk-devel >= 8.3.2}
%{?with_x:Provides:	%{name}(X) = %{version}-%{release}}
Obsoletes:	timidity
Obsoletes:	timidity++
Obsoletes:	timidity++-X11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TiMidity++ is a converter that converts some of MIDI files ( formats :
Standard MIDI file (MID), Recomposer files (RCP, R36, G18, G36) and
Module file (mod) ) into formatted audio file (ex. RIFF WAVE).
TiMidity uses Gravis Ultrasound-compatible patch files or Soundfonts
(sfx, sf2) to generate digital audio data from MIDI files. The digital
audio data generated by TiMidity can be stored in a file for
processing, or played in real time through an audio device. In real
time playing, TiMidity if able to show the lyric contained in KAR file
or WRD file.

%description -l pl.UTF-8
TiMidity++ jest konwerterem z niektórych plików MIDI (formaty:
Standard MIDI (MID), Recomposer (RCP, R36, G18, G36), Module (mod)) do
plików audio (np. RIFF WAVE). Do generowania danych z plików MIDI
TiMidity używa patchy takich jak Gravis Ultrasound albo Soundfontów
(sfx, sf2). Cyfrowe dane audio mogą być zapisane do pliku albo
odtwarzane w czasie rzeczywistym. Przy odtwarzaniu TiMidity może
pokazywać słowa zawarte w pliku KAR lub WRD.

%description -l pt_BR.UTF-8
O TiMidity++ é um sintetizador MIDI por software. Este pacote permite
ouvir arquivos do tipo MIDI com a mesma qualidade de som que as placas
que utilizam o recurso de "wavetable" via hardware (como a AWE32),
mesmo que esta não possua o recurso de "wavetable" (a SB16 por
exemplo).

%description -l ru.UTF-8
Проигрыватель MIDI файлов, не требующий поддержки инструментов MIDI
звуковой платой. Использует файлы инструментов в формате GUS/patch,
может также использовать данные в формате SoundFont. Обеспечивает
отличное качество звука MIDI за счет интенсивного использования
процессора.

%description -l uk.UTF-8
Програвач MIDI файлів, якому не потрібна підтримка інструментів MIDI
звуковою платою. Використовує файли інструментів у форматі GUS/patch,
розуміє також формат SoundFont. Забезпечує відмінну якість звуку MIDI
за рахунок інтенсивного використання процесора.

%package gspdir
Summary:	Directory for TiMidity++ instruments
Summary(pl.UTF-8):	Katalog na instrumenty TiMidity++
Group:		Applications/Sound

%description gspdir
Directory where TiMidity++ instruments should be placed in.

%description gspdir -l pl.UTF-8
Katalog, w którym powinny być instalowane instrumenty dla TiMidity++.

%package instruments
Summary:	Instruments for TiMidity++
Summary(pl.UTF-8):	Instrumenty dla TiMidity++
Summary(pt_BR.UTF-8):	Instrumentos básicos para o TiMidity++
Group:		Applications/Sound
Requires:	%{name}-gspdir = %{version}-%{release}
Obsoletes:	timidity-patches

%description instruments
Instruments for TiMidity++.

%description instruments -l pl.UTF-8
Instrumenty dla TiMidity++.

%description instruments -l pt_BR.UTF-8
Este pacote inclui um conjunto básico de instrumentos (chamados de
patches no meio musical) para o TiMidity++.

%package gtk
Summary:	GTK+ interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ oparty o bibliotekę GTK+
Group:		Applications/Sound
Requires:	%{name}(X) = %{version}-%{release}

%description gtk
gtkmidi - GTK+ interface for TiMidity++.

%description gtk -l pl.UTF-8
gtkmidi - interfejs do TiMidity++ oparty o bibliotekę GTK+.

%package motif
Summary:	Motif interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ oparty o Motif
Group:		Applications/Sound
Requires:	%{name}(X) = %{version}-%{release}

%description motif
xmmidi - Motif interface for TiMidity++.

%description motif -l pl.UTF-8
xmmidi - interfejs do TiMidity++ oparty o bibliotekę Motif.

%package slang
Summary:	Slang interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ oparty o bibliotekę Slang
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description slang
Slang interface for TiMidity++.

%description slang -l pl.UTF-8
Interfejs do TiMidity++ oparty o bibliotekę Slang.

%package tcltk
Summary:	Tcl/Tk interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ oparty o Tcl/Tk
Group:		Applications/Sound
Requires:	%{name}(X) = %{version}-%{release}

%description tcltk
tkmidi - Tcl/Tk interface for TiMidity++.

%description tcltk -l pl.UTF-8
tkmidi - interfejs do TiMidity++ oparty o Tcl/Tk.

%package vt100
Summary:	VT100 interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ działający na terminalu VT100
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description vt100
VT100 interface for TiMidity++.

%description vt100 -l pl.UTF-8
Interfejs do TiMidity++ mogący działać na terminalu VT100.

%package xaw
Summary:	Athena interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ oparty o Athena Widgets
Group:		Applications/Sound
Requires:	%{name}(X) = %{version}-%{release}

%description xaw
xawmidi - Athena interface for TiMidity++.

%description xaw -l pl.UTF-8
xawmidi - interfejs do TiMidity++ oparty o biblitekę widgetów Athena.

%package xskin
Summary:	"X Skin" interface for TiMidity++
Summary(pl.UTF-8):	Interfejs TiMidity++ "X Skin"
Group:		Applications/Sound
Requires:	%{name}(X) = %{version}-%{release}
Obsoletes:	TiMidity++ < 2.13.0-3

%description xskin
xskinmidi - "X Skin" interface for TiMidity++.

%description xskin -l pl.UTF-8
xskinmidi - interfejs do TiMidity++ "X Skin".

%package alsaseq
Summary:	TiMidity++ ALSA sequencer interface
Summary(pl.UTF-8):	TiMidity++ jako interfejs sekwencera ALSA
Group:		Applications/Sound
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Requires:	systemd-units >= 38

%description alsaseq
The ALSA sequencer interface communicates between ALSA sequencer core
and timidity. The interface receives events from sequencer and plays
it in (quasi-)real-time. In this mode, TiMidity works purely as the
software real-time MIDI render, that is as a software MIDI synth
engine on ALSA.

%description alsaseq -l pl.UTF-8
Interfejs sekwencera ALSA komunikuje się między rdzeniem sekwencera
ALSA a timidity. Interfejs odbiera zdarzenia od sekwencera od odtwarza
je w czasie (prawie) rzeczywistym. W tym trybie TiMidity działa
wyłącznie jako programowy odtwarzacz MIDI czasu rzeczywistego, czyli
jako silnik syntezatora MIDI w architekturze ALSA.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

for f in doc/ja_JP.eucJP/README*; do
	mv -f $f ${f}.ja
done

%build
cp -f /usr/share/automake/config.sub autoconf
%{__autoconf}

AUDIO=oss%{?with_alsa:,alsa}%{?with_arts:,arts}%{?with_esd:,esd}\
%{?with_jack:,jack}%{?with_nas:,nas}%{?with_vorbis:,vorbis}

%configure \
	%{?with_alsa:--enable-alsaseq} \
	--enable-audio=$AUDIO \
	--enable-dynamic \
	%{?with_x:--enable-gtk=dynamic} \
	--enable-emacs=dynamic \
	%{?with_x:--enable-motif=dynamic} \
	--enable-ncurses=dynamic \
	--enable-network \
	--enable-server \
	--enable-slang=dynamic \
	%{?with_x:--enable-spectrogram} \
	%{?with_x:--enable-tcltk=dynamic} \
	--enable-vt100=dynamic \
	%{?with_x:--enable-xaw=dynamic} \
	%{?with_x:--enable-xskin=dynamic} \
	--with-default-path=%{_sysconfdir} \
	--with-elf \
	%{!?with_x:--without-x}

%{__make} \
	SHLIB_DIR=%{_libdir}/timidity

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_datadir}/GUSpatches,/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{%{systemdunitdir},/etc/modules-load.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SHLIB_DIR=%{_libdir}/timidity

## based on timidity/timidity.c
##ln -s timidity $RPM_BUILD_ROOT%{_bindir}/kmidi # does it work?
ln -sf timidity $RPM_BUILD_ROOT%{_bindir}/gtkmidi
ln -sf timidity $RPM_BUILD_ROOT%{_bindir}/tkmidi
ln -sf timidity $RPM_BUILD_ROOT%{_bindir}/xmmidi
ln -sf timidity $RPM_BUILD_ROOT%{_bindir}/xawmidi
ln -sf timidity $RPM_BUILD_ROOT%{_bindir}/xskinmidi

install -d $RPM_BUILD_ROOT%{_mandir}/ja/man{1,5}
install doc/ja_JP.eucJP/timidity.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1
install doc/ja_JP.eucJP/timidity.cfg.5 $RPM_BUILD_ROOT%{_mandir}/ja/man5

install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}

cd $RPM_BUILD_ROOT%{_datadir}/GUSpatches
tar xzf %{SOURCE1}
mv -f instruments/* .
rmdir instruments
bzip2 -cd %{SOURCE2} > britepno.pat
bzip2 -cd %{SOURCE3} > pistol.pat

install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/timidity
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/timidity

install %{SOURCE7} $RPM_BUILD_ROOT/etc/modules-load.d/timidity.conf
install %{SOURCE8} $RPM_BUILD_ROOT%{systemdunitdir}/timidity.service

%clean
rm -rf $RPM_BUILD_ROOT

%post alsaseq
/sbin/chkconfig --add timidity
%service timidity restart "TiMidity++ ALSA sequencer interface"
%systemd_post timidity.service

%preun alsaseq
if [ "$1" = "0" ]; then
	%service timidity stop
	/sbin/chkconfig --del timidity
fi
%systemd_preun timidity.service

%postun alsaseq
%systemd_reload

%triggerpostun alsaseq -- %{name}-alsaseq < 2.13.2-8
%systemd_trigger timidity.service

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* NEWS README TODO doc/C/{CHANGES*,FAQ,README.[!tx]*}
%lang(ja) %doc README.ja doc/ja_JP.eucJP/README.[!tx]*.ja
%attr(755,root,root) %{_bindir}/timidity
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/timidity.cfg
%dir %{_libdir}/timidity
%attr(755,root,root) %{_libdir}/timidity/interface_e.so
%attr(755,root,root) %{_libdir}/timidity/interface_n.so
%{_libdir}/timidity/interface_e.txt
%{_libdir}/timidity/interface_n.txt
%if "%{_lib}" != "lib"
%dir %{_prefix}/lib/timidity
%endif
%{?with_x:%{_prefix}/lib/timidity/bitmaps}
%{_mandir}/man1/timidity.1*
%{_mandir}/man5/timidity.cfg.5*
%lang(ja) %{_mandir}/ja/man1/timidity.1*
%lang(ja) %{_mandir}/ja/man5/timidity.cfg.5*

%files gspdir
%defattr(644,root,root,755)
%dir %{_datadir}/GUSpatches

%files instruments
%defattr(644,root,root,755)
%{_datadir}/GUSpatches/*

%if %{with x}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtkmidi
%attr(755,root,root) %{_libdir}/timidity/interface_g.so
%{_libdir}/timidity/interface_g.txt
%endif

%if %{with x}
%files motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmmidi
%attr(755,root,root) %{_libdir}/timidity/interface_m.so
%{_libdir}/timidity/interface_m.txt
%endif

%files slang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/timidity/interface_s.so
%{_libdir}/timidity/interface_s.txt

%if %{with x}
%files tcltk
%defattr(644,root,root,755)
%doc doc/C/README.tk
%lang(ja) %doc doc/ja_JP.eucJP/README.tk.ja
%attr(755,root,root) %{_bindir}/tkmidi
%attr(755,root,root) %{_libdir}/timidity/interface_k.so
%{_libdir}/timidity/interface_k.txt
%{_prefix}/lib/timidity/tclIndex
%{_prefix}/lib/timidity/*.tcl
%endif

%files vt100
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/timidity/interface_T.so
%{_libdir}/timidity/interface_T.txt

%if %{with x}
%files xaw
%defattr(644,root,root,755)
%doc doc/C/README.xaw
%lang(ja) %doc doc/ja_JP.eucJP/README.xaw.ja
%attr(755,root,root) %{_bindir}/xawmidi
%attr(755,root,root) %{_libdir}/timidity/interface_a.so
%{_libdir}/timidity/interface_a.txt

%files xskin
%defattr(644,root,root,755)
%doc doc/C/README.xskin
%lang(ja) %doc doc/ja_JP.eucJP/README.xskin.ja
%attr(755,root,root) %{_bindir}/xskinmidi
%attr(755,root,root) %{_libdir}/timidity/interface_i.so
%{_libdir}/timidity/interface_i.txt
%endif

%if %{with alsa}
%files alsaseq
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/timidity
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/timidity
%config(noreplace) %verify(not md5 mtime size) /etc/modules-load.d/timidity.conf
%{systemdunitdir}/timidity.service
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: TiMidity++.spec,v $
Revision 1.92  2012/04/17 18:05:35  baggins
- rel 9
- better systemd deps
- fixed postun script

Revision 1.91  2012/02/14 17:31:40  baggins
- rel 8
- added systemd support for alsaseq

Revision 1.90  2010/12/16 12:38:24  evil
- added patch to alsaseq server interace that stops in loop polling(saves power/battery) even when idle(constant 99.9 wakeups per second), not its less than 0.1(invisible in powertop) when idle, and goes up to 32 wakeups when playing JazzJackrabbit midis using aplaymidi.

Revision 1.89  2008/12/02 13:46:24  hawk
- release 5

Revision 1.88  2008/02/06 20:08:33  qboosh
- unified bcond name: X -> x

Revision 1.87  2007-11-28 08:19:00  arekm
- rel 4

Revision 1.86  2007-11-12 11:51:11  gotar
- fixed config/libs search path, rel. 3

Revision 1.85  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.84  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.83  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.82  2006/04/20 17:49:14  glen
- add chkconfig, rc-scripts deps

Revision 1.81  2006/03/19 17:50:57  glen
- use %service

Revision 1.80  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.79  2005/09/16 09:08:55  arekm
- rel 2

Revision 1.78  2005/06/20 19:07:28  blekot
- up to 2.13.2

Revision 1.77  2005/05/18 10:02:21  prism
- patching is actually done ;)

Revision 1.76  2005/05/18 10:00:38  prism
- gcc4 fix

Revision 1.75  2004/09/24 13:18:33  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.74  2004/09/15 19:14:48  qboosh
- pl for -alsaseq

Revision 1.73  2004/09/15 17:06:39  jajcus
- -alsaseq subpackage added for starting TiMidity as ALSA midi backend.
- "alsaseq" interface compiled in (instead of being dynamically loadable) -- needed
  for daemon support
- -detach patch added for proper detaching from terminal in daemon mode

Revision 1.72  2004/09/12 20:25:09  ankry
- unified

Revision 1.71  2004/07/09 13:26:45  ankry
- typo, rel. 5

Revision 1.70  2004/07/08 21:10:37  qboosh
- lib64 fixes, release 4

Revision 1.69  2004/04/26 15:36:31  adgor
- X dependent interfaces require main compiled with X and containing
  bitmap directory

Revision 1.68  2004/04/26 14:58:39  adgor
- Fixed BR

Revision 1.67  2004/04/26 14:53:44  adgor
- Fixed bcond desc.

Revision 1.66  2004/04/26 14:49:51  adgor
- without X bcond

Revision 1.65  2004/04/26 12:56:38  adgor
- Ported changes from DEVEL
- Added TODO
- Release 3

Revision 1.64  2004/04/24 21:01:08  qboosh
- fixed build on amd64, release 2

Revision 1.63  2004/04/24 20:27:06  qboosh
- new URLs, updated to 2.13.0 - now ready for alsa 1.0.x

Revision 1.62  2004/04/24 16:22:29  qboosh
- strict internal deps, release 4

Revision 1.61  2004/01/30 19:38:34  eothane
- bconds

Revision 1.60  2004/01/26 00:00:37  undefine
- release 3 to rebuild with new openmotif

Revision 1.59  2004/01/03 14:12:59  adgor
- Sources 2,3 stored to df

Revision 1.58  2003/11/13 19:47:59  adgor
- gspdir as normal dir (not ghost)

Revision 1.57  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.56  2003/09/13 19:19:11  blues
- release 2

Revision 1.55  2003/08/28 08:20:29  ankry
- cosmetics

Revision 1.54  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.53  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.52  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/01/19 20:16:21  adgor
- Updated to 2.12.0pre1
- New %%doc
- Separated gspdir metapackage
- Fixed req

Revision 1.50  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.49  2002/09/18 10:35:07  undefine
- ru/uk translations

Revision 1.48  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
	     s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.47  2002/05/07 14:12:16  kloczek
- merge translations rom Conectiva.

Revision 1.46  2002/05/06 20:05:18  filon
- updated to version 2.10.4
- added missing patches for britepono and pistol instruments

Revision 1.45  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/15 09:59:13  undefine
- timidity-patches obsolete added to Timidity++-instruments
- release 5

Revision 1.42  2001/10/31 21:20:45  qboosh
- fixed instruments subpackage

Revision 1.41  2001/10/31 18:01:21  qboosh
- removed Patch1 - finally not used

Revision 1.40  2001/10/31 17:59:21  qboosh
- don't run automake - seems not neccessary and fails
  (am 1.5 doesn't allow additional _DEPENDENCIES if _LIBADD is conditional)
- release 4

Revision 1.39  2001/10/06 06:51:22  kloczek
- release 3.

Revision 1.38  2001/10/04 14:09:58  qboosh
- BuildRequires: autoconf, automake

Revision 1.37  2001/07/27 10:44:45  undefine
- updated source URL (redhat compress all with bz2)
- release 2
- ac/am stuff
- STB?

Revision 1.36  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.35  2001/07/11 12:08:26  undefine
- added instruments(from RedHat package)

Revision 1.34  2001/06/09 17:42:23  qboosh
- updated to 2.10.4
- Obsoletes: timidity

Revision 1.33  2001/05/22 09:06:05  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.32  2001/03/14 17:40:36  qboosh
- missing dir: %%{_libdir}/timidity
- pl translations
- release 3

Revision 1.31  2001/02/08 08:13:34  kloczek
- release 2: added to Obsoletes timidity++, timidity++-X11.

Revision 1.30  2001/02/08 01:32:36  qboosh
- _without_alsa
- BuildRequires: tk-devel (removed tcl-devel as tk-devel implies it)

Revision 1.29  2001/02/06 11:25:11  kloczek
- removed regenerate autoconf, automake files (not neccessary now).

Revision 1.28  2001/02/06 10:57:25  kloczek
- fixed %build (automake must be called with -a -c for allow build also in
  automake 1.4b environment),
- automake, autoconf added to BuildRequires.

Revision 1.27  2001/02/06 10:54:17  kloczek
- updated to 2.10.3a2 and adapterized spec.

Revision 1.26  2000/11/17 08:21:43  kloczek
- release 2: rebuild against tcl 8.3.2.

Revision 1.25  2000/11/02 19:49:34  kloczek
- updated to 2.10.2.

Revision 1.24  2000/10/27 00:53:22  kloczek
- release 2: added motif-devel and tcl-devel to BuildRequires.

Revision 1.23  2000/10/18 20:17:37  kloczek
- updated to 2.10.1,
- use new rpm automation.

Revision 1.22  2000/07/27 02:23:46  kloczek
- --enable-alsa disable on sparc/sparc64 in autoconf parameters.

Revision 1.21  2000/07/27 02:22:30  kloczek
- "BuildRequires: alsa" changed to "BuildRequires: alsa-lib-devel" and
  disable this rule for sparc/sparc64.

Revision 1.20  2000/07/26 23:07:16  kloczek
- updated to 2.10.0a3.
